# Class TCefTaskRunnerRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTaskRunner

## Declaration

`type TCefTaskRunnerRef = class(TCefBaseRefCountedRef, ICefTaskRunner)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefTaskRunnerRef

## Overview

### Methods

| `function IsSame(const that: ICefTaskRunner): Boolean;`
| `function BelongsToCurrentThread: Boolean;`
| `function BelongsToThread(threadId: TCefThreadId): Boolean;`
| `function PostTask(const task: ICefTask): Boolean;`
| `function PostDelayedTask(const task: ICefTask; delayMs: Int64): Boolean;`
| `class function UnWrap(data: Pointer): ICefTaskRunner;`
| `class function GetForCurrentThread: ICefTaskRunner;`
| `class function GetForThread(threadId: TCefThreadId): ICefTaskRunner;`

## Description

### Methods

| `function IsSame(const that: ICefTaskRunner): Boolean;`
This item has no description. Showing description inherited from ICefTaskRunner.IsSame. Returns true (1) if this object is pointing to the same task runner as |that| object.

| `function BelongsToCurrentThread: Boolean;`
This item has no description. Showing description inherited from ICefTaskRunner.BelongsToCurrentThread. Returns true (1) if this task runner belongs to the current thread.

| `function BelongsToThread(threadId: TCefThreadId): Boolean;`
This item has no description. Showing description inherited from ICefTaskRunner.BelongsToThread. Returns true (1) if this task runner is for the specified CEF thread.

| `function PostTask(const task: ICefTask): Boolean;`
This item has no description. Showing description inherited from ICefTaskRunner.PostTask. Post a task for execution on the thread associated with this task runner. Execution will occur asynchronously.

| `function PostDelayedTask(const task: ICefTask; delayMs: Int64): Boolean;`
This item has no description. Showing description inherited from ICefTaskRunner.PostDelayedTask. Post a task for delayed execution on the thread associated with this task runner. Execution will occur asynchronously. Delayed tasks are not supported on V8 WebWorker threads and will be executed without the specified delay.

| `class function UnWrap(data: Pointer): ICefTaskRunner;`
Returns a ICefTaskRunner instance using a PCefTaskRunner data pointer.

| `class function GetForCurrentThread: ICefTaskRunner;`
Returns the task runner for the current thread. Only CEF threads will have task runners. An NULL reference will be returned if this function is called on an invalid thread.

| `class function GetForThread(threadId: TCefThreadId): ICefTaskRunner;`
Returns the task runner for the specified CEF thread.

Generated by PasDoc 0.16.0-snapshot.